> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser recurring transactions report

> Get a report of recurring transactions grouped by merchant or counterparty for an end user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/recurring_transactions_report
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/recurring_transactions_report:
    get:
      tags:
        - EndUserCalculations
      summary: Get EndUser recurring transactions report
      description: >-
        Get a report of recurring transactions grouped by merchant or
        counterparty for an end user
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: >-
            Account ids to include in the report, if not provided, all accounts
            are included
          explode: true
          in: query
          name: account_ids
          required: false
          schema:
            items:
              example: '1234'
              type: string
            nullable: true
            type: array
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EndUserRecurringTransactionsReport'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserRecurringTransactionsReport:
      properties:
        avg_amount:
          $ref: '#/components/schemas/Money'
        avg_confidence:
          type: number
        counterparty:
          type: string
        frequency:
          enum:
            - not_enough_data
            - same_day
            - irregular
            - daily
            - weekly
            - biweekly
            - monthly
            - quarterly
            - annually
            - weekday
            - twice_weekly
          type: string
        merchant_group_id:
          type: string
        merchant_heron_id:
          type: string
        merchant_name:
          type: string
        transactions:
          items:
            $ref: '#/components/schemas/EndUserRecurringTransaction'
          type: array
      type: object
    Money:
      properties:
        amount:
          description: The amount of money
          example: '1234.56'
          type: number
        currency:
          description: The currency of the money
          example: USD
          type: string
      type: object
    EndUserRecurringTransaction:
      properties:
        amount:
          $ref: '#/components/schemas/Money'
        category_confidence:
          type: number
        category_heron_id:
          type: string
        category_label:
          type: string
        counterparty:
          type: string
        description:
          type: string
        heron_id:
          type: string
        merchant_group_id:
          type: string
        merchant_heron_id:
          type: string
        merchant_name:
          type: string
        timestamp:
          format: date-time
          type: string
      required:
        - amount
        - heron_id
        - timestamp
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````